<!-- prettier-ignore-start -->
# Class SalesforceCardPaymentDetails

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.extensions.payments.SalesforcePaymentDetails](dw.extensions.payments.SalesforcePaymentDetails.md)
    - [dw.extensions.payments.SalesforceCardPaymentDetails](dw.extensions.payments.SalesforceCardPaymentDetails.md)



Details to a Salesforce Payments payment of type [SalesforcePaymentMethod.TYPE_CARD](dw.extensions.payments.SalesforcePaymentMethod.md#type_card). See Salesforce Payments
documentation for how to gain access and configure it for use on your sites.



## Property Summary

| Property | Description |
| --- | --- |
| [brand](#brand): [String](TopLevel.String.md) `(read-only)` | Returns the card brand, or `null` if not known. |
| [last4](#last4): [String](TopLevel.String.md) `(read-only)` | Returns the last 4 digits of the card number, or `null` if not known. |
| [walletType](#wallettype): [String](TopLevel.String.md) `(read-only)` | Returns the type of wallet used to make the card payment, or `null` if not known. |

## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

| Method | Description |
| --- | --- |
| [getBrand](dw.extensions.payments.SalesforceCardPaymentDetails.md#getbrand)() | Returns the card brand, or `null` if not known. |
| [getLast4](dw.extensions.payments.SalesforceCardPaymentDetails.md#getlast4)() | Returns the last 4 digits of the card number, or `null` if not known. |
| [getWalletType](dw.extensions.payments.SalesforceCardPaymentDetails.md#getwallettype)() | Returns the type of wallet used to make the card payment, or `null` if not known. |

### Methods inherited from class SalesforcePaymentDetails

[getType](dw.extensions.payments.SalesforcePaymentDetails.md#gettype)
### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
## Property Details

### brand
- brand: [String](TopLevel.String.md) `(read-only)`
  - : Returns the card brand, or `null` if not known.

    **See Also:**
    - [SalesforcePaymentMethod.getBrand()](dw.extensions.payments.SalesforcePaymentMethod.md#getbrand)


---

### last4
- last4: [String](TopLevel.String.md) `(read-only)`
  - : Returns the last 4 digits of the card number, or `null` if not known.

    **See Also:**
    - [SalesforcePaymentMethod.getLast4()](dw.extensions.payments.SalesforcePaymentMethod.md#getlast4)


---

### walletType
- walletType: [String](TopLevel.String.md) `(read-only)`
  - : Returns the type of wallet used to make the card payment, or `null` if not known.


---

## Method Details

### getBrand()
- getBrand(): [String](TopLevel.String.md)
  - : Returns the card brand, or `null` if not known.

    **Returns:**
    - card brand

    **See Also:**
    - [SalesforcePaymentMethod.getBrand()](dw.extensions.payments.SalesforcePaymentMethod.md#getbrand)


---

### getLast4()
- getLast4(): [String](TopLevel.String.md)
  - : Returns the last 4 digits of the card number, or `null` if not known.

    **Returns:**
    - last 4 digits of the card number

    **See Also:**
    - [SalesforcePaymentMethod.getLast4()](dw.extensions.payments.SalesforcePaymentMethod.md#getlast4)


---

### getWalletType()
- getWalletType(): [String](TopLevel.String.md)
  - : Returns the type of wallet used to make the card payment, or `null` if not known.

    **Returns:**
    - wallet type


---

<!-- prettier-ignore-end -->
